import * as React from 'react';
import { GenericReactErrorBoundaryError } from './error';
import { ErrorBoundary } from './ErrorBoundary';
export declare type ErrorBoundaryState = {
    error: Error | null;
    componentStack: string | null;
};
export declare type FallbackProps = ErrorBoundaryState & {
    tryRecovering(): void;
};
export declare type ErrorBoundaryProps<P extends object = {}> = {
    onError?: ErrorEventHandler;
    FallbackComponent?: React.ComponentType<FallbackProps>;
    recoverableProps?: Array<keyof P>;
    reportErrors?: boolean;
};
export declare type ErrorBoundaryForwardedProps = {
    boundaryRef: React.RefObject<ErrorBoundary>;
};
export declare type ErrorEventHandler = (error: GenericReactErrorBoundaryError) => void;
